Update a line item in a payable

Edits the information of a specific line item. Related guide: [Update a line item](https://docs.monite.com/accounts-payable/payables/line-items#update-a-line-item) See also: [Manage line items](https://docs.monite.com/accounts-payable/payables/line-items) [Collect payables](https://docs.monite.com/accounts-payable/payables/collect)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

line_item_idstringRequired
payable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
accounting_tax_rate_idstringOptionalformat: "uuid"

ID of the tax rate reference used for accounting integration. May be used to override auto-picked tax rate reference in accounting platform in case of any platform-specific constraints.

descriptionstringOptional
Description of the product.
ledger_account_idstringOptionalformat: "uuid"

ID of the account record used to store bookkeeping entries for balance-sheet and income-statement transactions.

namestringOptional
Name of the product.
quantitydoubleOptional>=0
The quantity of each of the goods, materials, or services listed in the payable.
taxintegerOptional0-10000

VAT rate in percent minor units. Example: 12.5% is 1250.

unitstringOptional
The unit of the product
unit_priceintegerOptional

The unit price of the product, in minor units. For example, $12.50 is represented as 1250.

Response

Successful Response
idstringformat: "uuid"
payable_idstringformat: "uuid"
accounting_tax_rate_idstringformat: "uuid"

ID of the tax rate reference used for accounting integartion. May be used to override auto-picked tax rate reference in accounting platform in case of any platform-specific constraints.

descriptionstring
Description of the product.
ledger_account_idstringformat: "uuid"

ID of the account record used to store bookkeeping entries for balance-sheet and income-statement transactions.

namestring
Name of the product.
ocr_set_quantity_to_onebooleanDefaults to false

Indicates whether the item’s unit_price and quantity were adjusted by OCR.

quantitydouble
The quantity of each of the goods, materials, or services listed in the payable.
subtotalinteger

The subtotal (excluding VAT), in minor units.

taxinteger

VAT rate in percent minor units. Example: 12.5% is 1250.

tax_amountinteger

Tax amount in minor units. For example, $12.50 is represented as 1250.

totalinteger
The actual price of the product.
unitstring
The unit of the product
unit_priceinteger

The unit price of the product, in minor units. For example, $12.50 is represented as 1250.

was_created_by_user_idstringformat: "uuid"
ID of the user who created the tag.

Errors

400
Patch Payables ID Line Items ID Request Bad Request Error
401
Patch Payables ID Line Items ID Request Unauthorized Error
403
Patch Payables ID Line Items ID Request Forbidden Error
404
Patch Payables ID Line Items ID Request Not Found Error
406
Patch Payables ID Line Items ID Request Not Acceptable Error
422
Patch Payables ID Line Items ID Request Unprocessable Entity Error
429
Patch Payables ID Line Items ID Request Too Many Requests Error